#!/bin/csh

# HEPiX 3.9.10
# Copyright (C) 2003-2005 CERN
# Author: KELEMEN Peter <Peter.Kelemen@cern.ch>

# $Id: csh.cshrc,v 1.24 2008/04/02 07:44:22 fuji Exp $


if ( $?_HPX_SEEN_SITE_CSH_CSHRC ) then
	exit
endif
set _HPX_SEEN_SITE_CSH_CSHRC=1

if ( ! $?HPX_INIT ) then
	if ( $?HPX_HOME_CORE ) then
		source $HPX_HOME_CORE/init.csh
	else
		source /etc/hepix/init.csh
	endif
endif

### OBSOLETE ### # Determine HEP cell.
### OBSOLETE ### set HPX_CELL=cern.ch

# Determine HEP group directory.  Defaults to AFS.
if ( -d /afs/cern.ch/group/$HPX_HEPGROUP ) then
        setenv GROUP_DIR/afs/cern.ch/group/$HPX_HEPGROUP
endif
### OBSOLETE ### set HPX_HEPGROUP_DIR=/afs/$HPX_CELL/group/$HPX_HEPGROUP
### OBSOLETE ###if ( ! -d $HPX_HEPGROUP_DIR ) then
### OBSOLETE ###	set HPX_HEPGROUP_DIR=/u/$HPX_HEPGROUP/pub$HPX_HEPGROUP
### OBSOLETE ###	if ( ! -d $HPX_HEPGROUP_DIR ) then
### OBSOLETE ###		set HPX_HEPGROUP_DIR=""
### OBSOLETE ###	endif
### OBSOLETE ###endif

# Sanitize and set site-wide environment variables.
### OBSOLETE ### setenv GROUP_DIR $HPX_HEPGROUP_DIR
### OBSOLETE ### unset HPX_HEPGROUP_DIR
### OBSOLETE ### setenv CLUSTER_DIR $HPX_CLUSTER_HOME

### OBSOLETE ### #setenv WWW_HOME "http://www.cern.ch"

### OBSOLETE ### setenv EDITOR "nano -w"
### OBSOLETE ### setenv VISUAL "$EDITOR"
### OBSOLETE ### setenv PAGER less
### OBSOLETE ### #setenv PRINT_CMD xprint

### OBSOLETE ### setenv YP NO
### OBSOLETE ### if ( -x $HPXB_DOMAINNAME ) then
### OBSOLETE ### 	setenv DOMAINNAME `$HPXB_DOMAINNAME`
### OBSOLETE ### endif
### OBSOLETE ### if ( $?DOMAINNAME ) then
### OBSOLETE ### 	if ( $DOMAINNAME != "(none)" ) then
### OBSOLETE ### 		setenv YP YES
### OBSOLETE ### 	endif
### OBSOLETE ### endif

### OBSOLETE ### setenv CERN /cern
### OBSOLETE ### setenv CERN_LEVEL pro
### OBSOLETE ### setenv CERN_ROOT $CERN/$CERN_LEVEL

setenv HPX_INITIALE `echo $HPX_USER | $HPXB_CUT -c1`
### OBSOLETE ### setenv CASTOR_HOME /castor/$HPX_CELL/user/$HPX_INITIALE/$HPX_USER
setenv CASTOR_HOME /castor/cern.ch/user/$HPX_INITIALE/$HPX_USER
unsetenv HPX_INITIALE
### OBSOLETE ### setenv INITIALISED YES

# NOTE(fuji): These are normally in the local namespace, but AFS
# group script maintainers tend to `setenv' these variables and
# then we have a namespace clash (no way to specify at dereference
# ($GROUPPATH) time which namespace to access.  See also ROOTPATH
# assignments.
# CT197070 Matthias Schrder <Matthias.Schroder@cern.ch>
if ( $?GROUP_DIR ) then
	setenv GROUPPATH $GROUP_DIR/bin
	### OBSOLETE ### setenv GROUPMANPATH $GROUP_DIR/man
### OBSOLETE ### else
### OBSOLETE ### 	setenv GROUPPATH $HPX_NONE
	### OBSOLETE ### setenv GROUPMANPATH $HPX_NONE
endif

### OBSOLETE ### set HPX_LOCALPATH=/usr/local/bin:/usr/local/bin/X11
### OBSOLETE ### set HPX_SYSPATH=$HPX_NONE
### OBSOLETE ### set HPX_X11BIN=$HPX_NONE
### OBSOLETE ### set HPX_SYSMAN=/usr/man
### OBSOLETE ### if ( -r /etc/man.config ) then
### OBSOLETE ### 	# TODO(fuji): Legacy implementation from old HEPiX codebase.
### OBSOLETE ### 	set HPX_SYSMAN=`/bin/awk 'BEGIN{fi=1}/^MANPATH[\t ]/{if(fi==1){printf("%s",$2);fi=0}else{printf(":%s",$2)}}END{printf"\n"}' /etc/man.config`
### OBSOLETE ### endif

### OBSOLETE ### # PATH settings.
### OBSOLETE ### set HPX_SYSPATH="/usr/bin:/bin:/usr/bin/X11"
### OBSOLETE ### set HPX_LOCALPATH="/usr/local/bin:/usr/local/bin/X11"
### OBSOLETE ### setenv ROOTPATH $HPX_SYSPATH

hpx_source $HPX_SYSTEM_HOME/sys.conf.csh
### OBSOLETE ### hpx_source $HPX_CLUSTER_HOME/sys.conf.csh
if ( $?GROUP_DIR ) then
        hpx_source $GROUP_DIR/group_sys.conf.csh
endif
hpx_source $HPX_SYSTEM_HOME/env.csh
### OBSOLETE ### hpx_source $HPX_CLUSTER_HOME/env.csh
if ( $?GROUP_DIR ) then
        hpx_source $GROUP_DIR/group_env.csh
endif

if ( $?GROUPPATH ) then
	echo "$GROUPPATH" | $HPXB_GREP ' ' >/dev/null
	if ( $status == 0 ) then
		hpx_debug "GROUPPATH contains obsolete space separator, use colons."
		setenv GROUPPATH `echo "$GROUPPATH" | $HPXB_SED 's/ /:/g'`
	endif
endif
if ( $?USERPATH ) then
	echo "$USERPATH" | $HPXB_GREP ' ' >/dev/null
	if ( $status == 0 ) then
		hpx_debug "USERPATH contains obsolete space separator, use colons."
		setenv USERPATH `echo "$USERPATH" | $HPXB_SED 's/ /:/g'`
	endif
endif

### OBSOLETE ### setenv USERPATH ${HOME}/bin:${HOME}/scripts:/usr/sue/bin:${GROUPPATH}:${HPX_LOCALPATH}:${HPX_SYSPATH}:${HPX_X11BIN}:${CERN_ROOT}/bin
### OBSOLETE ### setenv MANPATH ${HOME}/man:/usr/sue/man:${GROUPMANPATH}:${HPX_SYSMAN}:/usr/local/man:${CERN}/man
if ( $?GROUPPATH ) then
        setenv USERPATH ${GROUPPATH}:${HOME}/scripts
else
        setenv USERPATH ${HOME}/scripts
endif
### OBSOLETE ### setenv MANPATH ${GROUPMANPATH}:${HOME}/man

### OBSOLETE ### unset HPX_LOCALPATH
### OBSOLETE ### unset HPX_SYSPATH
### OBSOLETE ### unset HPX_X11BIN
### OBSOLETE ### unset HPX_SYSMAN

# Fix up paths that might contain $HPX_NONEs.
setenv USERPATH `echo $USERPATH | $HPXB_SED 's/:\?'$HPX_NONE':\?/:/g;s/^://;s/:$//;s/:\{1,\}/:/g'`
### OBSOLETE ### setenv MANPATH `echo $MANPATH | $HPXB_SED 's/:\?'$HPX_NONE':\?/:/g;s/^://;s/:$//;s/:\{1,\}/:/g'`

### OBSOLETE ### # For sh(1) derivatives, the rest is done in rc, for interactive shells.
### OBSOLETE ### # ---
### OBSOLETE ### alias h		history
### OBSOLETE ### alias lf	"$HPXB_LS -CF "
### OBSOLETE ### alias terminal	'setenv TERM `'$HPXB_TSET' - \!*`'

hpx_source $HPX_SYSTEM_HOME/aliases.csh
### OBSOLETE ### hpx_source $HPX_CLUSTER_HOME/aliases.csh
if ( $?GROUP_DIR ) then
        hpx_source $GROUP_DIR/group_aliases.csh
endif

### OBSOLETE ### setenv HPX_TTY `$HPXB_TTY`
### OBSOLETE ### if ( "x$HPX_TTY" != x ) then
### OBSOLETE ### 	setenv ENVIRONMENT INTERACTIVE
### OBSOLETE ### endif
### OBSOLETE ### # ---

hpx_source $HPX_SYSTEM_HOME/csh.cshrc
### OBSOLETE ### hpx_source $HPX_CLUSTER_HOME/csh.cshrc
if ( $?GROUP_DIR ) then
        hpx_source $GROUP_DIR/group_csh.cshrc
endif

# vim: nowrap
# End of file.
