#!/bin/csh

# HEPiX 3.9.10
# Copyright (C) 2003-2005 CERN
# Author: KELEMEN Peter <Peter.Kelemen@cern.ch>

# $Id: csh.login,v 1.27 2008/04/02 07:43:36 fuji Exp $

if ( $?_HPX_SEEN_SITE_CSH_LOGIN ) then
	exit
endif
set _HPX_SEEN_SITE_CSH_LOGIN=1

if ( ! $?HPX_INIT ) then
	if ( $?HPX_HOME_CORE ) then
		source $HPX_HOME_CORE/init.csh
	else
		source /etc/hepix/init.csh
	endif
endif

### OBSOLETE ### if ( "$GROUP" == $HPX_NONE ) then
### OBSOLETE ### 	hpx_echo "W: HEPiX was unable to figure out your group name."
### OBSOLETE ### 	hpx_echo "W: Please send mail to <Setup.Support@cern.ch>."
### OBSOLETE ### endif

### OBSOLETE ### if ( -r /etc/copyright ) then
### OBSOLETE ### 	$HPXB_CAT /etc/copyright
### OBSOLETE ### endif
if ( -r $HPX_SYSTEM_HOME/motd ) then
	$HPXB_CAT $HPX_SYSTEM_HOME/motd
endif

### OBSOLETE ### if ( $?PASSWORD_EXPIRES ) then
### OBSOLETE ### 	if ( $PASSWORD_EXPIRES <= 7 ) then
### OBSOLETE ### 		hpx_echo "W: Your password will expire in $PASSWORD_EXPIRES days."
### OBSOLETE ### 	endif
### OBSOLETE ### endif

if ( "x$HPX_AFS_HOME" != x ) then
	alias _hpx_afs_quota_check	"$_HPX_SOURCE_CMD $HPX_HOME_CORE/_hpx_afs_quota_check.csh "
	### OBSOLETE ### if ( -x /usr/afsws/bin/fs ) then
	### OBSOLETE ### 	set HPXB_FS=/usr/afsws/bin/fs
	### OBSOLETE ### endif
	### OBSOLETE ### if ( -x /usr/sue/bin/fs ) then
	### OBSOLETE ### 	set HPXB_FS=/usr/sue/bin/fs
	### OBSOLETE ### endif
	if ( -x /usr/bin/fs ) then
		set HPXB_FS=/usr/bin/fs
	endif
	if ( $?HPXB_FS ) then
		# Execute fs lq ~ command and extract numbers from output.
		# The shell could do the whitespace split but fs(1) is
		# altering output on quota-near-full conditions.
		# NOTE(fuji): csh/tcsh is uncapable of redirecting stderr only.
		set _HPX_LQ=`$HPXB_FS lq $HOME`

		# fs(1) would complain loudly of access violation if
		# logging in without a token.
		if ( $status == 0 ) then
			hpx_debug $_HPX_LQ
			set _HPX_LQ=`echo $_HPX_LQ | /usr/bin/xargs | \
				$HPXB_SED -n '1s/^[^.]*\.[^ ]* [^0-9]*\([0-9]*\)[^0-9]*\([0-9]*\)[^0-9]*\([0-9]*\)%[^0-9]*\([0-9]*\)%.*$/\1 \2 \3 \4/p'`
			hpx_debug $_HPX_LQ
			_hpx_afs_quota_check $_HPX_LQ
		else
			hpx_echo "E: $HPXB_FS returned error, no tokens?"
		endif
		unset _HPX_LQ
	else
		hpx_echo "E: Unable to check AFS quota, no fs(1) binary?"
	endif
endif

### OBSOLETE ### # TODO(fuji): hpx_afs_uco_newuser()

### OBSOLETE ### ### Terminal setting.
### OBSOLETE ### if ( -r /usr/share/terminfo ) then
### OBSOLETE ###       set _HPX_TIBASE=/usr/share/terminfo
### OBSOLETE ### else
### OBSOLETE ###       set _HPX_TIBASE=/usr/lib/terminfo
### OBSOLETE ### endif

### OBSOLETE ### if ( $?TERM ) then
### OBSOLETE ### 	set _HPX_TERM="$TERM"
### OBSOLETE ### else
### OBSOLETE ### 	set _HPX_TERM="(undef)"
### OBSOLETE ### endif
### OBSOLETE ### set _HPX_TTYPE=`echo "$_HPX_TERM" | $HPXB_CUT -c1`
### OBSOLETE ### set _HPX_TIPATH=$_HPX_TIBASE/$_HPX_TTYPE

### OBSOLETE ### if ( ! -r $_HPX_TIPATH/$_HPX_TERM ) then
### OBSOLETE ###       set _HPX_TERM=`echo $TERM | $HPXB_CUT -c1-5`
### OBSOLETE ###       if ( ! -r $_HPX_TIPATH/$_HPX_TERM ) then
### OBSOLETE ###       	set _HPX_TERM=`$HPXB_EXPR "$TERM" : '\([a-z0-9]*\).*'`
### OBSOLETE ###       	if ( ! -r $_HPX_TIPATH/$_HPX_TERM ) then
### OBSOLETE ###       		# Assume the worst case...
### OBSOLETE ###       		set _HPX_TERM=vt100
### OBSOLETE ###       		if ( -r /etc/termcap ) then
### OBSOLETE ###       			$HPXB_GREP '${TERM}|' /etc/termcap >/dev/null
### OBSOLETE ###       			if ( $status == 0 ) then
### OBSOLETE ###       				# ...but have a relief if possible.
### OBSOLETE ###       				set _HPX_TERM=$TERM
### OBSOLETE ###       			endif
### OBSOLETE ###       		endif
### OBSOLETE ###       	endif
### OBSOLETE ###       endif
### OBSOLETE ### endif
### OBSOLETE ### setenv TERM $_HPX_TERM

### OBSOLETE ### if ( "x$_HPX_TERM" != x && $_HPX_TERM != $TERM ) then
### OBSOLETE ###       hpx_echo "TERM $HPX_TERM changed to $TERM."
### OBSOLETE ### endif

### OBSOLETE ### unset _HPX_TIBASE
### OBSOLETE ### unset _HPX_TIPATH
### OBSOLETE ### unset _HPX_TTYPE
### OBSOLETE ### unset _HPX_TERM

# Personal temporary directory.
set HPX_TMPDIR=/tmp/$USER
if ( -d $HPX_TMPDIR ) then
	$HPXB_TEST -O $HPX_TMPDIR >/dev/null
	if ( $status == 0 ) then
		setenv TMPDIR $HPX_TMPDIR
	endif
endif
if ( ! $?TMPDIR ) then
        set HPX_UMASK=`umask`
	umask 0077
	$HPXB_MKDIR $HPX_TMPDIR >/dev/null
	if ( $status == 0 ) then
		setenv TMPDIR $HPX_TMPDIR
	endif
	umask $HPX_UMASK
        unset HPX_UMASK
	if ( $?TMPDIR ) then
		hpx_debug "Created $HPX_TMPDIR."
	endif
endif
if ( ! $?TMPDIR ) then
	unset HPX_TMPDIR
endif

hpx_source $HPX_SYSTEM_HOME/csh.login
### OBSOLETE ### hpx_source $HPX_CLUSTER_HOME/csh.login
if ( $?GROUP_DIR ) then
        hpx_source $GROUP_DIR/group_csh.login
endif

hpx_source $HPX_SYSTEM_HOME/login.csh
### OBSOLETE ### hpx_source $HPX_CLUSTER_HOME/login.csh
if ( $?GROUP_DIR ) then
        hpx_source $GROUP_DIR/group_login.csh
endif

hpx_source $HPX_SYSTEM_HOME/termset.csh
### OBSOLETE ### hpx_source $HPX_CLUSTER_HOME/termset.csh
if ( $?GROUP_DIR ) then
        hpx_source $GROUP_DIR/group_termset.csh
endif

### OBSOLETE ### # Pull in ORACLE environment if necessary.
### OBSOLETE ### if ( -r $HPX_USER_HOME/oracle ) then
### OBSOLETE ### 	set HPX_ORACLE=`$HPXB_CAT $HPX_USER_HOME/oracle`
### OBSOLETE ### 	switch ($HPX_ORACLE)
### OBSOLETE ### 		case 1:
### OBSOLETE ### 		case yes:
### OBSOLETE ### 		case Yes:
### OBSOLETE ### 		case YES:
### OBSOLETE ### 			hpx_source $HPX_SYSTEM_HOME/oracle_env.csh
### OBSOLETE ### 			breaksw
### OBSOLETE ### 	endsw
### OBSOLETE ### endif

# vim: nowrap
# End of file.
